## CVM

## CVM SQL Framework

# The cvm-pgsql Module

## Synopsis:

PgSQL module

## Credentials:

1. Pass phrase

## Description:

This module queries a PgSQL database for the account name, compares the stored pass phrase with the given one using `crypt`.

## Configuration Variables:

The server hostname, port, database, username, password, and additional options can be controlled by setting `$PGHOST`, `$PGPORT`, `$PGDATABASE`, `$PGUSER`, `$PGPASSWORD`, and `$PGOPTIONS` respectively, which are parsed by the PgSQL client library.

`$CVM_MYSQL_POSTQ` (optional)
  The SQL query to execute after the credentials have been validated.
`$CVM_PGSQL_PWCMP` (optional)
  The password comparison module to use.
`$CVM_PGSQL_QUERY` (optional)
  The SQL query to issue to retrieve the row containing the account information from the database.